dnsjit.core.object.loop(3)

NAME
dnsjit.core.object.loop - OpenBSD loopback encapsulation (loop) part of a packet

DESCRIPTION
The loop part of a packet that usually can be found in the object chain after parsing with, for example, Layer filter.

  Attributes

family
    The link-layer header describing what type of packet is encapsulated.

  Functions

Loop:type()
    Return the textual type of the object.

Loop:prev()
    Return the previous object.

Loop:cast()
    Cast the object to the underlining object module and return it.

Loop:uncast()
    Cast the object to the generic object module and return it.

Loop:copy()
    Make a copy of the object and return it.

Loop:free()
    Free the object, should only be used on copies or otherwise allocated.

SEE ALSO
dnsjit.core.object(3), dnsjit.filter.layer(3)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net